Canalplan Bug Tracker



Anonymous Login
2017-09-23 12:17 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000303Canalplan Route Planningpublic2017-08-24 11:42
Reportermdcr 
Assigned ToNick Atty 
PrioritynormalSeveritytweakReproducibilityalways
StatusresolvedResolutionfixed 
PlatformGenericOSN/AOS VersionN/A
Product VersionProduct Build 
Target VersionFixed in Version 
Summary0000303: Bridge No 176, Trent and Mersey (Hell's Kitchen)
DescriptionThis place comes up in searches and in lists for searches for bridge 176. It also comes up when you do a route plan. However, the system does not recognise it as such and refuses to display it as a route destination or intermediary stop
Steps To ReproduceNormal search 'plan a journey'
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0001228

Stephen Atty (administrator)

If you go to the place and then try to plan a journey from it then it reports it as not existing.

~0001229

Shultzy (updater)

If you select [Plan a journey] and then select from [Hell's Kitchen Bridge No 176] to [Middlewich Bridge No 172] it calculates the route ok.

~0001240

Nick Atty (administrator)

There were two generic bugs, one where "plan a route from here" failed, and one where when it did succeed it used the place code, not the name. I've fixed both of these, but the original bug remains.

To demonstrate: visit the route editor, put "bridge 176" in a box and plan. When the choices appear click on HK - it just keeps returning to the search page.

~0001241

Nick Atty (administrator)

Any search for "bridge nnn" gets transformed into a search for "bridge no nnn". This is fine and useful, but the code was then looking for "bridge no nnn" to swap the selected value back into and failing.

Storing the original search one line earlier fixes this.
+Notes

-Issue History
Date Modified Username Field Change
2017-08-18 17:59 mdcr New Issue
2017-08-18 18:08 Stephen Atty Note Added: 0001228
2017-08-18 18:08 Stephen Atty Assigned To => Nick Atty
2017-08-18 18:08 Stephen Atty Status new => assigned
2017-08-18 20:21 Shultzy Note Added: 0001229
2017-08-24 11:18 Nick Atty Note Added: 0001240
2017-08-24 11:42 Nick Atty Status assigned => resolved
2017-08-24 11:42 Nick Atty Resolution open => fixed
2017-08-24 11:42 Nick Atty Note Added: 0001241
+Issue History